Skip to content

List of CDN Operation Commands.

POST
/api/cdn/namespaces/{namespace}/cdn_loadbalancer/list-service-operations-status
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/cdn_loadbalancer/list-service-operations-status \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "lastn": 1, "name": "example", "namespace": "example", "time_range": { "finish_time": "example", "start_time": "example" } }'

List of service operations for a given CDN LB.

Examples of this operation.

namespace
required
string

Namespace x-required The namespace this item belongs to.

Media typeapplication/json
Service Operations Request

List Service Operations Request.

object
lastn
lastn

Exclusive with [time_range] The last n service operations.

integer format: int64
name
name

Name of the CDN Distribution.

string
>= 6 characters <= 1024 characters
namespace
Namespace

The namespace this item belongs to Required: YES.

string
>= 6 characters <= 1024 characters
time_range
object
finish_time
Finish time of Service Operations

A finish time for the time range in which the service operation status is requested. Format: unix_timestamp|RFC 3339 Required: YES.

string
<= 1024 characters
start_time
Start time of Service Operations

A start time for the time range in which the service operation status is requested. Required: YES.

string
<= 1024 characters
Examplegenerated
{
"lastn": 1,
"name": "example",
"namespace": "example",
"time_range": {
"finish_time": "example",
"start_time": "example"
}
}

A successful response.

Media typeapplication/json
Service Operations Response

GET Service Operations Response.

object
error
object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
items
Details of the Service Operation

Items represents the collection in response.

Array<object>
Service Operations Item

List of Service Operations.

object
created_time
created time

The service created time.

string
<= 1024 characters
modified_time
modified time

The service modified time.

string
<= 1024 characters
service_op_id
service operation id

The ID of the operation command.

integer format: int64
svc_version
svc version

The version info of the service.

integer format: int64
Example
{
"error": {
"code": "EOK"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example